> For the complete documentation index, see [llms.txt](https://docs.elimity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elimity.com/reference-manual/v3.46.6/built-in-connectors/ntfs/overrides-configuration.md).

# Overrides configuration

The Elimity Insights built-in connector for NTFS supports an 'Overrides' configuration option to override global configuration for specific files. Customers should provide this value as an HJSON object mapping file labels to configuration override objects with the following properties:

| Property   | Type      | Description                                                              |
| ---------- | --------- | ------------------------------------------------------------------------ |
| `maxDepth` | `number`  | Overrides the global 'Max depth' configuration; use `0` to set no limit. |
| `onlyDirs` | `boolean` | Overrides the global 'Only directories' configuration.                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.elimity.com/reference-manual/v3.46.6/built-in-connectors/ntfs/overrides-configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
